org.eclipse.rdf4j.federated.algebra

## Class NUnion

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.federated.algebra.NTuple
    - - org.eclipse.rdf4j.federated.algebra.NUnion

- All Implemented Interfaces:
    Serializable, Cloneable, QueryRef, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange

      public class NUnion
      extends NTuple
      implements TupleExpr

  A tuple expression that represents an nary-Union.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.algebra.NTuple

      `args, queryInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NUnion(List<TupleExpr> args, QueryInfo queryInfo)` Construct an nary-tuple.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NUnion` | `clone()` Returns a (deep) clone of this query model node.
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.federated.algebra.NTuple

      `getArg, getArgs, getAssuredBindingNames, getBindingNames, getNumberOfArguments, getQueryInfo, replaceChildNode, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.TupleExpr

      `getAssuredBindingNames, getBindingNames`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visitChildren`

- - ### Constructor Detail

    - #### NUnion

          public NUnion(List<TupleExpr> args,
                        QueryInfo queryInfo)

      Construct an nary-tuple. Note that the parentNode of all arguments is set to this instance.
      Parameters:
        `args` -

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Overrides:
        `visit` in class `NTuple`
      Throws:
        `X extends Exception`

    - #### clone

          public NUnion clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `TupleExpr`
      Overrides:
        `clone` in class `NTuple`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.